## org.h2.message
Class InternalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.h2.message.InternalException

All Implemented Interfaces:
  java.io.Serializable

    public class InternalException

extends java.lang.RuntimeException

This exception wraps a checked exception. It is used in methods where checked exceptions are not supported, for example in a Comparator.

See Also:
  Serialized Form

Constructor Summary
`InternalException(java.lang.Exception e)`

Method Summary
`java.lang.Exception` `getOriginalCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InternalException

    public InternalException(java.lang.Exception e)

Method Detail

### getOriginalCause

    public java.lang.Exception getOriginalCause()